Re: Please give back golang-1.8 (1.8.3-1) on s390x

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: Please give back golang-1.8 (1.8.3-1) on s390x

Julien Cristau-6
On Sun, Jun 25, 2017 at 08:42:17 -0600, Anthony Fok wrote:

> On Sat, Jun 24, 2017 at 2:58 PM, Aurelien Jarno <[hidden email]> wrote:
> > On 2017-06-24 11:15, Anthony Fok wrote:
> >> Or, better yet, is there a way to find out what went wrong on
> >> zemlinsky?  Is it an older machine with an older CPU that does not
> >> support some newer CPU instructions?  (Sorry, I know nothing about
> >> s390x and I am likely completely wrong.)
> >
> > That is actually the problem. On s390x golang requires a higher ISA than
> > the one Debian targets. I have started to patch golang-1.7 to avoid these
> > new instructions a few months ago, but upstream is not interested by
> > supporting older CPUs and keep adding more usage of new instructions.
>
> Thank you for your detailed explanation, and thank you for your
> efforts in trying to solve it.
>
> But yeah, I guess golang users on s390x would just have to accept the
> fact that they need a newer CPU.  Thankfully, the majority of Debian's
> s390x machines (buildd and porterbox), 3 out of 4, support the newer
> instructions.  :-)
>
I don't think that's acceptable.  We should not ship packages that won't
work on the baseline platform for each architecture.  We should either
fix those packages, stop shipping them, or raise the baseline.

Cheers,
Julien